<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/default_layout">
<head>
    <meta charset="UTF-8"/>
    <title th:text="${formAdd}?'Add Article':'Update Article'"></title>
</head>
<body>

<div  class="container" layout:fragment="content">
<div class="contain">
    <!--<h4 th:text="#{article.addData}"></h4>-->
    <h4 th:text="${formAdd}? #{article.addData}:#{article.updateData}"></h4>
</div>
<!--Start Container-->
<div>
    <form th:action="${formAdd}?'/add':'/update'" method="POST" enctype="multipart/form-data">
        <!--<div class="form-group">-->
            <!--<span th:if="${#fields.hasErrors('article.id')}" style="color: red"> *Id can not be null</span>-->
            <!--<label for="InputeID">ID</label>-->
            <input th:field="${article.id}" type="hidden" class="form-control" id="InputeID">
        <!--</div>-->
        <div class="form-group">
            <span th:if="${#fields.hasErrors('article.title')}" style="color: red"> *Title can not be null</span>
            <label for="InputTitle">Title</label>
            <input th:field="${article.title}" type="text" class="form-control" id="InputTitle" placeholder="Title" autocomplete="off">
        </div>
        <div class="form-group">
            <label id="cate">Category</label>
            <select th:field="${article.category.id}">
                <option th:each="category : ${categories}" th:value="${category.id}" th:text="${category.cateTitle}"></option>
            </select>
        </div>
        <div class="form-group">
            <span th:if="${#fields.hasErrors('article.description')}" style="color: red"> *Description can not be null</span>
            <label for="description">Description</label>
            <input th:field="${article.description}" type="text" class="form-control" id="description" placeholder="Input Description">
        </div>
        <div class="form-group">
            <span th:if="${#fields.hasErrors('article.author')}" style="color: red"> *Author can not be null</span>
            <label for="author">Author</label>
            <input th:field="${article.author}" type="text" class="form-control" id="author" placeholder="Input Author">
        </div>
        <div class="form-group">
            <span th:if="${#fields.hasErrors('article.thumbnail')}" style="color: red"> *Author can not be null</span>
            <label for="file">Thumbnail</label>
            <input type="file"  name="image" id="file"/>
        </div>
        <input type="submit" th:value="${formAdd}? 'Save':'Update'" class="btn btn-primary"></input>
        <button type="button" class="btn btn-danger"><a href="/article">Back Home</a></button>
    </form>
    <!--End Container-->
</div>
</div>
</body>
</html>